@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');
.App {
  text-align: center;
  font-family: 'Raleway', cursive;
}
%shadow_border {
  border-radius: 10px;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, .16);
}
%pallete_1 {
  background-color: #1485f0;
  color: #ffffff;
}
%pallete_2 {
  background-color: #83a6f7;
  color: #ffffff;
}
%pallete_3 {
  background-color: #3f3d56;
  color: #ffffff;
}
%button_meta {
  font-family : inherit;
  font-size: 18px;
  margin: 25px 5px 25px 5px;
  width: 120px;
  height: 60px;
}

#customers {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

#customers td, #customers th {
  border: 1px solid #ddd;
  padding: 8px;
}

#customers tr:nth-child(even){background-color: #f2f2f2;}

#customers tr:hover {background-color: #ddd;}

#customers th {
  padding-top: 12px;
  padding-bottom: 12px;
  background-color: #4CAF50;
  color: white;
}

.gameLogic {
  font-family: Arial, Helvetica, sans-serif;
}

.submitFlags {
  margin: 20px auto;
  height: 6vh;
  background-color:#333;
  padding:20px;
  border-radius:10px;
  color:#fff;
  display:flex;
  align-items:center;
  justify-content:center;
  font-size:30px;
  font-family:sans-serif;
  text-decoration: none;
}

.submitUsers {
  margin: 20px auto;
  height: 6vh;
  background-color:#333;
  padding:20px;
  border-radius:10px;
  color:#fff;
  display:flex;
  align-items:center;
  justify-content:center;
  font-size:30px;
  font-family:sans-serif;
  text-decoration: none;
}

.submitFlags:hover {background-color: #777;}

.layout {
  display: flex;
  min-height: 100vh;
  width: 100%;
  flex-direction: column;

    .layoutcontent {
      width:100%;
      min-height: 80vh;
      display: flex;
      justify-content: center;
      #Image{
        height: 80vh;
        width: 50%;
      }
    }
}

.questionSt {
  font-size: 50px;
}

.variante {
  margin: 20px auto;
  width:80vw;
  background-color:#fff;
  display:grid;
  grid-template-columns: 50% 50%;
  grid-row: auto auto;
  grid-column-gap: 20px;
  grid-row-gap: 20px;
  .box {
    background-color:#333;
    padding:20px;
    border-radius:10px;
    color:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:40px;
    font-family:sans-serif;
  }
  .box:hover {background-color: #777;}
}

.auth{
  height: 80vh;
  width:40%;
  margin-left: 5%;
  margin-right: 5%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 20px;
  #SwitchMes{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    
    .button{
      @extend %pallete_2
    }
  }
  .formitem{
    display:flex;
    flex-direction:column;
    align-items:flex-start;
  }
  .button{
    @extend %pallete_3
  }
}

.bookspage{
  margin-top: 20px;
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap:25px;
  .bookslist{
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
  }
}

.bookbox {
  margin: 30px;
  width: 300px;
  height: 150px;
  background-color: #ffffff;
  display: flex;
  @extend %shadow_border;
  justify-content: space-between;
  .bookborder{
    @extend %shadow_border;
    width: 5%;
    height: 100%;
    background-color: #3f3d56;
  }
  .bookcontent{
    width: 90%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start
  }
  
}

%table_element{
  border: 1px solid black;
}

.bookstable{
  @extend %table_element;
  width: 100%;
}

.booksheader{
  @extend %table_element;
  width: 25%;
  text-align: left;
  font-size:medium;
  text-transform: none;
}

.booksrow:nth-child(even){
  @extend %pallete_3

}

.bookscell{
  @extend %table_element;
  width: 25%;
  text-align: left;
  font-size:medium;
  text-transform: none;
}

.authorstable{
  @extend %table_element;
  width: 100%;
}

.authorsheader{
  @extend %table_element;
  font-size:x-large;
}

.authorsrow:nth-child(even){
  background-color: grey;
  color: white;
}

.authorscell{
  @extend %table_element;
  font-size:x-large;
  text-transform: uppercase;
}

.authorbox {
  width: 80vw;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.authorpage {
  width: 80vw;
  min-height: 80hv;
  margin-top: 20px;
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap:20px;
}

.header {
  @extend %shadow_border;
  display: flex;
  height: 10vh;
  justify-content: center;
  flex-direction: row;
  align-items: center;
  font-size: 20px;
  .headercontent{
    width: 80%;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    #header_title {
      align-self: flex-end;
      text-align: left;
    }
    
    #PageButtons {
      align-self: flex-end;
      text-align: right;
    }
  }
}
.image_container {
  height: 30vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-position: center;
  
  .image_title {
    @extend %shadow_border;
    background-color: rgba(0, 0, 0, .16);
    padding: 10px;
    width: 360px;
    font-size: 40px;
    color: white;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, .8);
  }
}
.counter {
  @extend %shadow_border;
  padding: 30px;
  margin: auto;
  //margin-top: 15vh;
  width: 400px;
  .counter_num {
    @extend %shadow_border;
    padding: 10px;
    width: 360px;
    margin: auto;
    margin-top: 20px;
    font-size: 30px;
  }
  
  .button_1 {
    @extend %pallete_1;
    @extend %button_meta
  }
  .button_2 {
    @extend %pallete_2;
    @extend %button_meta
  }
}
.footer {
  @extend %pallete_3;
  height: 10vh;
  text-align: left;
  padding: 0 0 0 4px;
}